import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyWageSetupGetKillhouses = createAsyncThunk(
  "PROVINCE_POLICY_WAGES_SETUP_GET_KILLHOUSES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house/?gate-way-kill-houses=true/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
